'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = parseInfo;

var _constants = require('./constants');

function parseInfo(_ref) {
  var _ref$status = _ref.status,
      manual = _ref$status.manual,
      boost = _ref$status.boost,
      valvePosition = _ref.valvePosition,
      targetTemperature = _ref.targetTemperature;

  var info = { boost: boost };

  info.currentHeatingCoolingState = valvePosition ? _constants.CurrentHeatingCoolingState.HEAT : _constants.CurrentHeatingCoolingState.OFF;

  info.targetHeatingCoolingState = function () {
    if (targetTemperature <= 4.5) return _constants.TargetHeatingCoolingState.OFF;
    if (targetTemperature >= 30 || boost) return _constants.TargetHeatingCoolingState.HEAT;
    if (manual) return _constants.TargetHeatingCoolingState.COOL;
    return _constants.TargetHeatingCoolingState.AUTO;
  }();

  info.targetTemperature = targetTemperature < 10 ? 10 : targetTemperature;

  return info;
}